import { getCourseList, setCourseList } from '../../api/course';

const course = {
  state: {
    courseList: {}
  },
  mutations: {
    GET_COURSE_LIST (state, data) {
      state.courseList = data;
    }
  },
  actions: {
    getCourseList({dispatch, commit }, data) {
      return new Promise((resolve, reject) => {
        getCourseList(data).then(res => {
            commit('GET_COURSE_LIST', res.data)
            resolve(res.data);
        }).catch(error => {
          reject(error);
        })
      })
    },
    setCourseList({dispatch, commit }, { data, params}) {
      return new Promise((resolve, reject) => {
        setCourseList(data).then(res => {
            dispatch('getCourseList', params)
            resolve(res.data);
        }).catch(error => {
          reject(error);
        })
      })
    }
  }
}

export default course;
